## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl
Class SybasesqlmodelFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.impl.SybasesqlmodelFactoryImpl

All Implemented Interfaces:
  SybasesqlmodelFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybasesqlmodelFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements SybasesqlmodelFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybasesqlmodelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybasesqlmodelFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertJDBCParameterTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`JDBCParameterType` `createJDBCParameterTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SybaseAuthorizationIdentifier` `createSybaseAuthorizationIdentifier()`
`SybaseBaseTable` `createSybaseBaseTable()`
`SybaseIndexMember` `createSybaseIndexMember()`
`SybaseParameter` `createSybaseParameter()`
`SybasePrivilege` `createSybasePrivilege()`
`SybaseViewTable` `createSybaseViewTable()`
`static SybasesqlmodelPackage` `getPackage()` Deprecated.
`SybasesqlmodelPackage` `getSybasesqlmodelPackage()`
`static SybasesqlmodelFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybasesqlmodelFactoryImpl

    public SybasesqlmodelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SybasesqlmodelFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createSybaseParameter

    public SybaseParameter createSybaseParameter()

  Specified by:
    `createSybaseParameter` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase Parameter'.

### createSybaseBaseTable

    public SybaseBaseTable createSybaseBaseTable()

  Specified by:
    `createSybaseBaseTable` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase Base Table'.

### createSybaseViewTable

    public SybaseViewTable createSybaseViewTable()

  Specified by:
    `createSybaseViewTable` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase View Table'.

### createSybaseAuthorizationIdentifier

    public SybaseAuthorizationIdentifier createSybaseAuthorizationIdentifier()

  Specified by:
    `createSybaseAuthorizationIdentifier` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase Authorization Identifier'.

### createSybaseIndexMember

    public SybaseIndexMember createSybaseIndexMember()

  Specified by:
    `createSybaseIndexMember` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase Index Member'.

### createSybasePrivilege

    public SybasePrivilege createSybasePrivilege()

  Specified by:
    `createSybasePrivilege` in interface `SybasesqlmodelFactory`
  Returns:
    a new object of class 'Sybase Privilege'.

### createJDBCParameterTypeFromString

    public JDBCParameterType createJDBCParameterTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertJDBCParameterTypeToString

    public java.lang.String convertJDBCParameterTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### getSybasesqlmodelPackage

    public SybasesqlmodelPackage getSybasesqlmodelPackage()

  Specified by:
    `getSybasesqlmodelPackage` in interface `SybasesqlmodelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SybasesqlmodelPackage getPackage()

  Deprecated.